Name: wine-powerpoint_viewer_97
Version: 8.0
Release: alt0.3

Summary: Viewer of MS PowePoint files: WINE Application

License: MS EULA
Group: Office
Url: http://www.microsoft.com/

Source: %name-%version.tar.bz2
Source1: %name.png
Source2: wine-newpreplauncher.sh
Source3: %name.desktop

Requires: wine >= 20050704
AutoReq: no

ExclusiveArch: i586

# For menu/MIME subsystem
Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

%description
PowerPoint Viewer 97 (8.0) is a viewer of MS PowerPoint files

%prep
%setup -q

%install

%__install -d %buildroot/%_libdir/%name
%__cp -rp * %buildroot/%_libdir/%name/
%__install -d %buildroot/%_bindir

cat >%buildroot/%_bindir/%name <<EOF
#!/bin/sh
PROJECTNAME=%name
APPPATH="Program Files/PowerPoint Viewer"
APPEXE="PPVIEW32.EXE"
INSTALLABLE=1
SETUPEXENAME="Microsoft Powerpoint Viewer 97.exe"
SETUPOPTIONS="/q:1"
SETUPOPTIONS2="/c:setup.exe /qt"
EOF
cat %SOURCE2 >>%buildroot/%_bindir/%name
ln -s %name %buildroot/%_bindir/ppviewer

%__install -D -m 644 %SOURCE1 $RPM_BUILD_ROOT/%_iconsdir/%name.png

%__install -D -m 644 %SOURCE3 %buildroot%_datadir/applications/%name.desktop


%post
%update_menus

%postun
%clean_menus

%files
%attr(0755, root, root) %_bindir/*
%_iconsdir/%name.png
%_libdir/%name
%_desktopdir/%name.desktop

%changelog
* Mon May 29 2006 Serge Polkovnikov <robin@altlinux.ru> 8.0-alt0.3
- Open files in non-browsable directory (/tmp/.private) fix 
- spec cleanup

* Tue Mar 09 2006 Serge Polkovnikov <robin@altlinux.ru> 8.0-alt0.2
- Remove preinstalled program from package and install it
  to user home at first launch instead (due license restriction)
  
* Tue Feb 23 2006 Serge Polkovnikov <robin@altlinux.ru> 8.0-alt0.1
- first build for ALT Linux Sisyphus
